TKN-CLUSTERTASK-LOGS(1)

NAME

tkn-clustertask-logs - Show ClusterTask logs

SYNOPSIS

tkn clustertask logs

DESCRIPTION

Show ClusterTask logs

OPTIONS

-a, --all[=false]
    show all logs including init steps injected by tekton

-f, --follow[=false]
    stream live logs

-h, --help[=false]
    help for logs

-L, --last[=false]
    show logs for last TaskRun

--limit=5
    lists number of TaskRuns

-t, --timestamps[=false]
    show logs with timestamp

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Interactive mode: shows logs of the selected TaskRun:

    tkn clustertask logs -n namespace

Interactive mode: shows logs of the selected TaskRun of the given ClusterTask:

    tkn clustertask logs clustertask -n namespace

Show logs of given ClusterTask for last TaskRun:

    tkn clustertask logs clustertask -n namespace --last

Show logs for given ClusterTask and associated TaskRun:

    tkn clustertask logs clustertask taskrun -n namespace

SEE ALSO

tkn-clustertask(1)